Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.enterprisedt.net.ftp
Class WindowsFileParser

    java.lang.Object
      com.enterprisedt.net.ftp.FTPFileParser
          com.enterprisedt.net.ftp.WindowsFileParser

    public class WindowsFileParser

extends FTPFileParser

Represents a remote Windows file parser

Version:
  $Revision: 1.15 $
Author:
  Bruce Blackshaw

Field Summary
`static java.lang.String` | `cvsId` Revision control id

Fields inherited from class com.enterprisedt.net.ftp.FTPFileParser
`ignoreDateParseErrors`

Constructor Summary
`WindowsFileParser()` Constructor

Method Summary
`boolean` | `isValidFormat(java.lang.String[] listing)` Valid format for this parser
`FTPFile` | `parse(java.lang.String raw)` Parse server supplied string.
`void` | `setLocale(java.util.Locale locale)` Set the locale for date parsing of listings
`java.lang.String` | `toString()`

Methods inherited from class com.enterprisedt.net.ftp.FTPFileParser
`isMultiLine, setIgnoreDateParseErrors, split, split, split, trimStart`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cvsId

    public static java.lang.String cvsId

  Revision control id

Constructor Detail

### WindowsFileParser

    public WindowsFileParser()

  Constructor

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### setLocale

    public void setLocale(java.util.Locale locale)

  Set the locale for date parsing of listings

  Specified by:
    `setLocale` in class `FTPFileParser`
  Parameters:
    `locale` - locale to set

### isValidFormat

    public boolean isValidFormat(java.lang.String[] listing)

  Valid format for this parser

  Overrides:
    `isValidFormat` in class `FTPFileParser`
  Parameters:
    `listing` -
  Returns:
    true if valid

### parse

    public FTPFile parse(java.lang.String raw)
                  throws java.text.ParseException

  Parse server supplied string. Should be in form 05-17-03 02:47PM 70776 ftp.jar 08-28-03 10:08PM EDT SSLTest

  Specified by:
    `parse` in class `FTPFileParser`
  Parameters:
    `raw` - raw string to parse
  Throws:
    `java.text.ParseException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2001-2007 Enterprise Distributed Technologies Ltd. All Rights Reserved.